Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.pear.tools
Class PackageSelectorGUI

    java.lang.Object
      org.apache.uima.pear.tools.PackageSelectorGUI

All Implemented Interfaces:
  InstallationController.PackageSelector

    public class PackageSelectorGUI

extends Object
implements InstallationController.PackageSelector

The `PackageSelectorGUI` class provides simple Swing-based file dialog windows for selecting root directories of installed PEAR packages, as well as PEAR package files, which contain components that need to be installed.

Nested Class Summary
`static class` | `PackageSelectorGUI.PackageDirFilter` The `PackageDirFilter` class allows filtering directories.
`static class` | `PackageSelectorGUI.PackageFileFilter` The `PackageFileFilter` class allows filtering PEAR package files.

Constructor Summary
`PackageSelectorGUI()` Default constructor.

Method Summary
`File` | `selectPackageDirectory(String componentId)` Opens dialog window to select root directory of desired installed component package.
`File` | `selectPackageFile(String componentId)` Opens dialog window to select desired PEAR package file for a given component.
`URL` | `selectPackageUrl(String componentId)` This method is not implemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageSelectorGUI

    public PackageSelectorGUI()

  Default constructor.

Method Detail

### selectPackageDirectory

    public File selectPackageDirectory(String componentId)

  Opens dialog window to select root directory of desired installed component package.

  Specified by:
    `selectPackageDirectory` in interface `InstallationController.PackageSelector`
  Parameters:
    `componentId` - The given component ID.
  Returns:
    Selected package root directory or `null`, if the selection cancelled.

### selectPackageFile

    public File selectPackageFile(String componentId)

  Opens dialog window to select desired PEAR package file for a given component.

  Specified by:
    `selectPackageFile` in interface `InstallationController.PackageSelector`
  Parameters:
    `componentId` - The given component ID.
  Returns:
    Selected PEAR package file for the given component, or `null`, if the selection cancelled.

### selectPackageUrl

    public URL selectPackageUrl(String componentId)

  This method is not implemented. It always returns `null`.

  Specified by:
    `selectPackageUrl` in interface `InstallationController.PackageSelector`
  Parameters:
    `componentId` - The given component ID.
  Returns:
    The PEAR package URL for the given component or `null`, if no URL is entered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.